<?php
/***************************************************************************
*
* TxtBlog CMS
*
* Created by: Leo Kent, leo [dot] kent [at] gmail [dot] com
*
* TxtBlog CMS is released under the GNU Public License.
*
* You are free to use and modify TxtBlog CMS. All changes 
* must be uploaded to sourceforge.net/projects/txtblogcms/
* or emailed to leo [dot] kent [at] gmail [dot] com
*
* The TxtBlog CMS team request that footer linking back to
* the project Home Page should not be tampered with as a
* lot of work went into the project.
* Thanks
*
***************************************************************************/

define ("txtbloged", 1);
require_once("config.php");
require_once("includes/template_functions.php");
require_once("includes/functions.php");

// Which function is needed?
if ( isset($_GET['y']) && isset($_GET['m']) ) {

	showMonth();
	
} else {

	showIndex();

}

// The Functions

function showMonth() {
	global $config_date_format, $txtblog_body, $txtblog_title, $config_title, $users_names;

	$txtblog_body = "";
	$txtblog_title = "$config_title - Archives";

	$year = $_GET['y'];
	$month = $_GET['m'];

	$files = findFiles("data/$year/$month");
	
	if (isset($files)) {
		foreach ($files as $file) {				
			include ("data/$year/$month/$file");
			$date_array = explode(" ",$date);
			$date = date($config_date_format, mktime($date_array[0], $date_array[1], $date_array[2], $date_array[4], $date_array[3], $date_array[5]));
			$txtblog_body .= "<div class='post'><h2 id='p4' class='post-title'>".bb2html($title)."</h2><p class='post-info'>$date par $users_names[$author]</p><div class='post-content' lang='fr'>".bb2html($blog)."</div></div>";
			//$txtblog_body .= "<hr size='1'>".bb2html($title)."<br>$date par $users_names[$author]<br>".bb2html($blog)."<br>";
		}
	} else {
		$txtblog_body = "Aucune citation n'a t archive pour ce mois." ;
	}
}

function showIndex() {
	global $txtblog_title, $txtblog_body, $config_date_format, $config_title, $users_names;
	$txtblog_title = "$config_title - Accueil";
	$txtblog_body = "";
	
	$years = findDirs("data");
	$counter = 0 ;
	if (isset($years)) {
		foreach ($years as $year) {
			$months = findDirs("data/$year");
			if (isset($months)) {
				foreach ($months as $month) {
					$files = findFiles("data/$year/$month");
					// For each file in the new array add it to the body
					if (isset($files)) {
						foreach ($files as $file) {				
							include ("data/$year/$month/$file");
							$date_array = explode(" ",$date);
							$date = date($config_date_format, mktime($date_array[0], $date_array[1], $date_array[2], $date_array[4], $date_array[3], $date_array[5]));
							$txtblog_body .= "<div class='post'><h2 id='p4' class='post-title'>".bb2html($title)."</h2><p class='post-info'>$date par $users_names[$author]</p><div class='post-content' lang='fr'>".bb2html($blog)."</div></div>";
							$counter++ ;
							if ($counter==5) return ;						
						}
					}
			
				}
			}
		}
	} // fin traitement des annes
}



// Include the template file
if (!file_exists("templates/".$config_template."/index.tpl")) { die("Template File Missing!"); }
require_once("templates/".$config_template."/index.tpl");

?> 