<?php
/***************************************************************************
*
* TxtBlog CMS
*
* Created by: Leo Kent, leo [dot] kent [at] gmail [dot] com
*
* TxtBlog CMS is released under the GNU Public License.
*
* You are free to use and modify TxtBlog CMS. All changes 
* must be uploaded to sourceforge.net/projects/txtblogcms/
* or emailed to leo [dot] kent [at] gmail [dot] com
*
* The TxtBlog CMS team request that footer linking back to
* the project Home Page should not be tampered with as a
* lot of work went into the project.
* Thanks
*
***************************************************************************/

if (!defined("txtbloged")) { die("You can't view this file directly"); }
require_once("../config.php");
require_once("./../includes/functions.php");

if ( isset($_GET['y']) && isset($_GET['m']) && isset($_GET['f']) ) {
	
	// Deletes File
	$year = $_GET['y'];
	$month = $_GET['m'];
	$file = $_GET['f'];
	
	$file = "./../data/$year/$month/$file";
	
	if (delete($file)) {
		$admin_title = "[Supprimer une citation existante]";
		$admin_body = "La citation a t efface avec succs";
	} else {
		$admin_title = "Erreur";
		$admin_body = "Une erreur s'est produite lors de la suppression de $filename";
	}
	
} else {

	// Show all blogs	
	$admin_title = "[Supprimer une citation existante]";
	$admin_body = '<h4>Cliquez sur le titre de la citation pour la supprimer.<br>' ;
	$admin_body .= '<font color="red">Attention, cette opration est irrversible !</font></h4>' ;
	$admin_body .= '<table align="center" border cellpadding="2" cellspacing="0" width="90%">';
	$admin_body .= '<tr bgcolor="#EEEEEE" align="center"><th>Titre</th><th>Date publication</th><th>Auteur</th><th>Texte</th></tr>' ;
	years();
	$admin_body .= "</table>";
	
}

function years() {
	global $admin_body;
	
	// Open the data folder
  	$dir="./../data";
  	if (is_dir($dir)) {
    	$fd = @opendir($dir);
    	if($fd) {
      		while (($part = @readdir($fd)) == true) {
        		if ($part != "." && $part != "..") {
          			$file_array[]=$part;
        		}
      		}
    	}
		
		// Sort the array
    	sort($file_array);
    	reset($file_array);
		
    	for($i=0;$i<count($file_array);$i++) {
      		$year=$file_array[$i];
      		if (!strstr($year,".")) {
			
				// Add year to title and run month
				//$admin_body .= "<span class='year'>$year</span><br>";
          		month($year);
      		}
    	}
  	}
}

function month($year) {
	global $admin_body, $months_french;
	
	// Open the year folder
  	$dir="./../data/$year";
  	if (is_dir($dir)) {
    	$fd = @opendir($dir);
    	if($fd) {
      		while (($part = @readdir($fd)) == true) {
        		if ($part != "." && $part != "..") {
          			$file_array[]=$part;
        		}
      		}
    	}
		
		// Sort the array
    	sort($file_array);
    	reset($file_array);
		
    	for($i=0;$i<count($file_array);$i++) {
      		$month=$file_array[$i];
      		if (!strstr($month,".")) {
			
				// Add month to title and run entry
				//$word_date = date("F", mktime(0, 0, 0, $month, 1, 2000));
				//$admin_body .= "<span class='month'>$word_date</span><br>";
				//$admin_body .= "<span class='month'>$months_french[$month]</span><br>";
          		entry($month, $year);
      		}
    	}
  	}
}

function entry($month, $year) {
global $admin_body;
	
	// Open the month folder
  	$dir="./../data/$year/$month";
  	if (is_dir($dir)) {
    	$fd = @opendir($dir);
    	if($fd) {
      		while (($part = @readdir($fd)) == true) {
        		if ($part != "." && $part != "..") {
          			$file_array[]=$part;
        		}
      		}
    	}
		
		// Sort the array
    	sort($file_array);
    	reset($file_array);
			
    	for($i=0;$i<count($file_array);$i++) {
      		$entry=$file_array[$i];
      		if (!strstr($entry,".html")) {
			
				// Add month to title and run entry
				blog($month, $year, $entry);
      		}
    	}		
  	}
}

function blog($month, $year, $entry) {
	global $admin_body, $config_date_format_simple, $users_names, $user, $config_username;

	require_once("./../data/$year/$month/$entry");
	
	$date_array = explode(" ",$date);
	$day = date($config_date_format_simple, mktime($date_array[0], $date_array[1], $date_array[2], $date_array[4], $date_array[3], $date_array[5]));
	
	$varlength = strlen($title);
	$limit = 10;
	if ($varlength > $limit) {
		$title = substr($title,0,$limit) . "...";
	}
	
	$varlength = strlen($blog);
	$limit = 12;
	if ($varlength > $limit) {
		$blog = substr($blog,0,$limit) . "...";
	}
	
	if (($author == $_GET['user'])||($_GET['user'] == $config_username )) {	
		$admin_body .= "<tr>";
	    $admin_body .= "<td><a href='index.php?user=".$_GET['user']."&page=delete&y=$year&m=$month&f=$entry'>".bb2html($title)."</a></td>";
	    $admin_body .= "<td>$day</td>";
	    $admin_body .= "<td>".$users_names[$author]."</td>" ;
	    $admin_body .= "<td>".bb2html($blog)."</td>";
	  	$admin_body .= "</tr>";
	}	
}
?>