<?php
/***************************************************************************
*
* TxtBlog CMS
*
* Created by: Leo Kent, leo [dot] kent [at] gmail [dot] com
*
* TxtBlog CMS is released under the GNU Public License.
*
* You are free to use and modify TxtBlog CMS. All changes 
* must be uploaded to sourceforge.net/projects/txtblogcms/
* or emailed to leo [dot] kent [at] gmail [dot] com
*
* The TxtBlog CMS team request that footer linking back to
* the project Home Page should not be tampered with as a
* lot of work went into the project.
* Thanks
*
***************************************************************************/

define ("txtbloged", 1);
require_once("../config.php");
require_once("./../includes/functions.php");
require_once("./../includes/template_functions.php");

if (isset($_GET['page'])) {
	page($_GET['user']) ;
} else { // affichage login
	display() ;
}


function home($user) {
	global $admin_body, $admin_title, $users_names, $side_bar, $users ;
	$admin_title = "Page d'accueil des rdacteurs";
	$admin_body = "Bienvenu(e) <b>" . $users_names[$user]. "</b></br>Vous tes sur la page d'accueil des rdacteurs. <br>Veuillez utiliser le menu  droite pour vos oprations.";
}

function display() {
	global $admin_body, $admin_title, $user , $users_names, $side_bar, $users ;
	
	if (isset($_POST['login'])&& isset($_POST['pwd'])) {
		// vrifier le couple login / mot de passe	
		$guest = $_POST['login'] ;
		$pwd = $_POST['pwd'] ;
		if ( array_key_exists($guest, $users) && $pwd == $users[$guest]) {
			// on met  jour le nom de l'utilisateur courant
			$user = $guest ;
			page($user) ;
			//header("Location:index2.php?user=".$user);
		} else {
			try_login("<p align='center'><font color><font color='red'>Nom d'utilisateur et/ou mot de passe invalide. Essayez  nouveau.</font></p>") ;
		}
	} else {
		try_login("") ;
	}
}

function try_login($text) {
	global $admin_body, $admin_title, $user , $users_names, $side_bar, $users ;
		
	$admin_title = "Connexion rdacteur";
	$admin_body = "" ;
	if ($text!="") {
		$admin_body = $text ;	
	}
	$admin_body .= '<script language="javascript">
					function validate() {
						if (document.auth.login.value=="" || document.auth.pwd.value=="") {
							alert("Merci de complter les champs vides !!!");
							return false;
						} else {
							return true;
						}
					}
					</script>';		
	$admin_body .= '<form action="index.php" method="post" name="auth" id="auth" onSubmit="return validate()">
				  <table align="center" cellspacing="5" cellpadding="0">
				    <tr>
					  <td class="tdborderless">Nom d\'utilisateur</td>
					  <td class="tdborderless"><input name="login" type="text"></td>
				    <tr>
				      <td class="tdborderless">Mot de passe</td>     
				      <td class="tdborderless"><input name="pwd" type="password"></td>
				    </tr>  
				    <tr>
				      <td class="tdborderless">&nbsp;</td>
				      <td class="tdborderless"><input type="submit" name="Submit" value="Se connecter"></td>
				    </tr>
				  </table>
				</form>';	
	$side_bar = '<div id="links">
        		 <h2>Navigation</h2>
        			<a href="../index.php">Retour  la page d\'accueil</a>
				</div>' ;
 
}

function page($user) {
	global $admin_body, $admin_title, $users_names, $side_bar, $users, $config_username ;
	switch (@$_GET['page']) {	
		case "create":
			require_once("create.php");
		break;
		
		case "edit":
			require_once("edit.php");
		break;
		
		case "delete":
			require_once("delete.php");
		break;		
		default:
			home($user);
		break;
	}
	$side_bar = '<div id="links">
					<h2>Grer vos citations</h2>
        				<a href="index.php?user='.$user.'&page=create">Nouvelle citation</a><br>
        				<a href="index.php?user='.$user.'&page=edit">Modifier une citation</a><br>';
   if ($user == $config_username) {     			
        	$side_bar .= '<a href="index.php?user='.$user.'&page=delete">Supprimer une citation</a>';
   }
    $side_bar .= '</div>
        		<div id="links">
        			<h2>Navigation</h2>
        				<a href="../index.php">Retour  la page d\'accueil</a>
				</div>' ;	
}

?>
<html>

<head>
	<title>La Minute littraire - Connexion scurise</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" media="screen">
	<link href="../admin/css/style.css" rel="stylesheet" type="text/css">
	<script language="javascript" type="text/javascript" src="login.js"></script>
</head>

<body>
	<div id="page">
		<div id="top">
			<h1><?php includeSiteName(); ?></h1>
			<p><?php echo $admin_title; ?></p>
		</div> <!-- en top -->
		<div id="main">
			<div id="content">	
				<?php echo $admin_body; ?><br>
			</div>
		</div> <!-- en main -->
		<div id="sidebar">
			   <?php echo $side_bar; ?>
		</div>	<!-- en sidebar -->
		<p id="footer"></p>			
	</div> <!-- en page -->
</body>
</html>