<?php
/***************************************************************************
*
* TxtBlog CMS
*
* Created by: Leo Kent, leo [dot] kent [at] gmail [dot] com
*
* TxtBlog CMS is released under the GNU Public License.
*
* You are free to use and modify TxtBlog CMS. All changes 
* must be uploaded to sourceforge.net/projects/txtblogcms/
* or emailed to leo [dot] kent [at] gmail [dot] com
*
* The TxtBlog CMS team request that footer linking back to
* the project Home Page should not be tampered with as a
* lot of work went into the project.
* Thanks
*
***************************************************************************/

if (!defined("txtbloged")) { die("You can't view this file directly"); }

// Convert BBCode to HTML and convert < and > tags
function bb2html($text) {

  $bbcode = array("<", ">",
                "[list]", "[*]", "[/list]", 
                "[img]", "[/img]", 
                "[b]", "[/b]", 
                "[u]", "[/u]", 
                "[i]", "[/i]",
                '[color="', "[/color]",
                "[size=\"", "[/size]",
                '[url="', "[/url]",
                "[mail=\"", "[/mail]",
                "[code]", "[/code]",
                '"]');
				
  $htmlcode = array("&lt;", "&gt;",
                "<ul>", "<li>", "</ul>", 
                "<img src=\"", "\">", 
                "<b>", "</b>", 
                "<u>", "</u>", 
                "<i>", "</i>",
                "<span style=\"color:", "</span>",
                "<span style=\"font-size:", "</span>",
                '<a href="', "</a>",
                "<a href=\"mailto:", "</a>",
                "<table width='100%'><tr><td class='code'>", "</td></tr></table>",
                '">');
				
  $newtext = str_replace($bbcode, $htmlcode, $text);
  $newtext = nl2br($newtext);
  return $newtext;
 
}

// Show the form for posting and editing
function postform($action, $title, $blog, $location,$operation,$pwd) {
	
	$form = '
	<script language="javascript">
	function addBB(tag) {
		document.form.blog.value += "[" + tag + "][/" + tag + "]";
		document.form.blog.focus();
	}
	function validate() {
		if (document.form.blog.value=="" || document.form.title.value=="") {
			alert("Merci de complter les champs vides !!!");
			return false;
		} else {
			// ask for password
			var pwd = prompt("Confirmez votre '.$operation.' en saissisant votre mot de passe :","");
			if (pwd==null) { return false; } // annuler
			if ((MD5(pwd) == \''.md5($pwd).'\')) {		
				return true;
			} else {
				alert("Mot de passe incorrect !!!") ;
				return false ;
			}
		}
	}
	</script>';
	
	$form .= '<form action="'.$action.'" method="post" name="form" id="form" onSubmit="return validate()">
  <table width="90%"  cellspacing="5" cellpadding="0">
    <tr>
	  <td class="tdborderless">Termes exacts de la citation (suivi du nom de l\'auteur entre parenthses):<br>
        <textarea name="title" cols="60" rows="5" id="title" onKeypress="if (event.keyCode==34) event.returnValue = false; if (event.which==34) return false;">'.$title.'</textarea></td></tr>
    <tr>
      <td class="tdborderless"> Indiquez ci-dessous quelques lments biographiques et pourquoi vous avez choisi cette citation.<br>     
      <textarea name="blog" cols="60" rows="10" id="blog" onKeypress="if (event.keyCode==34) event.returnValue = false; if (event.which==34) return false;">'.$blog.'</textarea></td>
    </tr>  
    <tr>
      <td class="tdborderless">
	    <input name="location" type="hidden" value="'.$location.'">
	    <input type="submit" name="Submit" value="Enregistrer">
	  </td>
    </tr>
  </table>
</form>';
	
	return $form;

}

// Write to a file
function write($file, $data) {

	if ($fp = fopen($file, "w")) {;
		fwrite ($fp, $data);
		fclose($fp);
		return 1;
	} else {
		return 0;
	}

}

// Delete a file
function delete($file) {

	if (@unlink($file)) {
		return 1;
	} else {
		return 0;
	};

}

// Search for Dirs
function findDirs($dir) {
	
	// Open the data folder
  	if (is_dir($dir)) {
    	$fd = @opendir($dir);
    	if($fd) {
      		while (($part = @readdir($fd)) == true) {
				if (!strstr($part,".")) {
          			$file_array[]=$part;
				}
      		}
    	}
		
		// Sort the array
    	@sort($file_array);
		@reset($file_array);
		$file_array = @array_reverse($file_array);
		
    	return($file_array);
  	}
}

// Search for Files
function findFiles($dir) {
	
	// Open the data folder
  	if (is_dir($dir)) {
    	$fd = @opendir($dir);
    	if($fd) {
      		while (($part = @readdir($fd)) == true) {
				if ($part != "." && $part != "..") {
					if (!strstr($part,".html")) {
          				$file_array[]=$part;
					}
				}
      		}
    	}
		
		// Sort the array
    	@sort($file_array);
		@reset($file_array);
		$file_array = @array_reverse($file_array);
		
    	return ($file_array);
  	}
}
?>