<?php
/***************************************************************************
*
* TxtBlog CMS
*
* Created by: Leo Kent, leo [dot] kent [at] gmail [dot] com
*
* TxtBlog CMS is released under the GNU Public License.
*
* You are free to use and modify TxtBlog CMS. All changes 
* must be uploaded to sourceforge.net/projects/txtblogcms/
* or emailed to leo [dot] kent [at] gmail [dot] com
*
* The TxtBlog CMS team request that footer linking back to
* the project Home Page should not be tampered with as a
* lot of work went into the project.
* Thanks
*
***************************************************************************/

if (!defined("txtbloged")) { die("You can't view this file directly"); }

// Create and display the meta tags
function includeMeta() {
	global $config_desc, $config_kwrds;
	
	echo '<meta type="description" content="'.$config_desc.'">'."\n".'<meta type="keywords" content="'.$config_kwrds.'">'."\n";
}

// Display the var $txtblog_title
function includeTitle() {
	global $txtblog_title;	
	echo $txtblog_title;
}

// Display the var $txtblog_body
function includeBody() {
	global $txtblog_body;	
	echo $txtblog_body;
}

// Display the archives
function includeArchive() {
	global $months_french ;
	$years = findDirs("data");
	
	if (isset($years)) {
		foreach ($years as $year) {
			echo '<div id="archives">';
			echo "<h2>$year</h2>";
			$months = findDirs("data/$year");		
			if (isset($months)) {
				foreach ($months as $month) {
					echo "<a href='index.php?y=$year&m=$month'>$months_french[$month]</a><br>";
				}
			}
			echo '</div>' ;		
		}
	}
}

// Display the site title
function includeSiteName() {
	global $config_title;	
	echo $config_title;
}

// Display the site sub title
function includeSubTitle() {
	global $config_sub_title;	
	echo $config_sub_title;
}

// Display Footer
function includeFooter() {	
	echo '';
}
?>